Page MenuHomePhabricator

ephoto does not compile with EFL master
Closed, ResolvedPublic

Description

Hi

It seems trying to compile ephoto now, I get this error
even after commit 1af4dd13b3910f0ab14bbab09ea3cd9b0b9ab3e (doesn't seem to fix it)

make[3]: Entering directory '/srcbuild/ephoto/src/bin'
  CC       ephoto-ephoto.o
  CC       ephoto-ephoto_bcg.o
  CC       ephoto-ephoto_color.o
  CC       ephoto-ephoto_config.o
  CC       ephoto-ephoto_cropper.o
  CC       ephoto-ephoto_directory_browser.o
  CC       ephoto-ephoto_file.o
  CC       ephoto-ephoto_editor.o
  CC       ephoto-ephoto_filters.o
  CC       ephoto-ephoto_hsv.o
  CC       ephoto-ephoto_ipc.o
  CC       ephoto-ephoto_main.o
  CC       ephoto-ephoto_red_eye.o
  CC       ephoto-ephoto_scale.o
  CC       ephoto-ephoto_single_browser.o
  CC       ephoto-ephoto_slideshow.o
  CC       ephoto-ephoto_thumb.o
  CC       ephoto-ephoto_thumb_browser.o
  CC       ephoto_thumbnail-ephoto_thumbnailer.o
  CC       ephoto_thumbnail-ephoto_ipc.o
  CC       ephoto_thumbnail-ephoto_thumb.o
In file included from ephoto_thumb_browser.c:2:0:
/opt/include/elementary-1/elm_interface_scrollable.h:241:4: error: unknown type name ‘Efl_Ui_Focus_Manager’
    Efl_Ui_Focus_Manager *manager;
    ^~~~~~~~~~~~~~~~~~~~
Makefile:804: recipe for target 'ephoto-ephoto_thumb_browser.o' failed
make[3]: *** [ephoto-ephoto_thumb_browser.o] Error 1
make[3]: *** Waiting for unfinished jobs....
make[3]: Leaving directory '/srcbuild/ephoto/src/bin'
Makefile:380: recipe for target 'all' failed
make[2]: *** [all] Error 2
make[2]: Leaving directory '/srcbuild/ephoto/src/bin'
Makefile:352: recipe for target 'all-recursive' failed
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory '/srcbuild/ephoto/src'
Makefile:480: recipe for target 'all-recursive' failed
make: *** [all-recursive] Error 1
PackageCompileSource finished in 2 seconds

It does appear that there was a recent change in efl's headers involving Efl_Ui_Focus_Manager
Thanks

n3rdopolis added a project: Restricted Project.Jul 21 2017, 4:03 AM
n3rdopolis updated the task description. (Show Details)Jul 26 2017, 6:42 PM
n3rdopolis added a subscriber: efl.
raster assigned this task to bu5hm4n.Jul 26 2017, 6:59 PM
raster added a subscriber: stephenmhouston.
jpeg added a subscriber: jpeg.Jul 26 2017, 7:38 PM

This header contains mostly internal structures and definitions, it shouldn't be installed. Some common definitions are required for apps (eg Elm_Interface_Scrollable_Cb) but the internal data should not be exposed.

Mhmm not too sure what to do? Does ephoto need to specify that its using beta api? Then this would work ...

actually, @okra why is that included there ? i commented it out, still compiles and no error... can we just drop that include there?

jpeg added a comment.Jul 27 2017, 1:31 AM

actually, @okra why is that included there ? i commented it out, still compiles and no error... can we just drop that include there?

Indeed. Don't include the file. We should not even install it. It's not part of API, only "Elementary.h" is part of API.

bu5hm4n added a subscriber: bu5hm4n.
jpeg removed a project: efl.Jul 27 2017, 2:04 AM
jpeg removed a subscriber: jpeg.
jpeg removed a subscriber: efl.
stephenmhouston triaged this task as High priority.Jul 27 2017, 11:12 AM
stephenmhouston closed this task as Resolved.

Fixed by b76a54bd3ee93fe9d529e577251a1d5fc6b32d1a